Bug 504292 - getting registration error with sslCACert configured to non default location
getting registration error with sslCACert configured to non default location
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
: Regression
Depends On:
Blocks: 500798
  Show dependency treegraph
 
Reported: 2009-06-05 09:30 EDT by Jan Hutař
Modified: 2009-09-02 07:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-06-05 09:30:04 EDT
Description of problem:
I have configured sslCACert option and when I try to register using rhn_register TUI/GUI (rhnreg_ks seems to work fine), I'm getting error as shown below.


Version-Release number of selected component (if applicable):
rhn-setup-0.4.20-5.el5.noarch


How reproducible:
always


Steps to Reproduce:
1. # grep sslCACert= /etc/sysconfig/rhn/up2date
sslCACert=/etc/sysconfig/rhn/RHN-ORG-TRUSTED-SSL-CERT
2. # rhn_register


Actual results:
┌──────────────┤ Fatal Error ├──────────────┐
│                                           │
│ ERROR: can not find RHNS CA file:         │
│ /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT   │
│                                           │
│ Please verify the value of sslCACert in   │
│ /etc/sysconfig/rhn/up2date                │
│                                           │
│                  ┌────┐                   │
│                  │ OK │                   │
│                  └────┘                   │


Expected results:
no error, same as in previous version rhn-setup-0.4.19-17.el5.noarch
Comment 2 Pradeep Kilambi 2009-06-05 13:00:28 EDT
is it the right cert? meaning does the cert and the server match?
Comment 3 Jan Hutař 2009-06-07 23:43:43 EDT
Hello. Yes, it is a right cert. I have checked thad again (also, rhnreg_ks works):

# wget -O /etc/sysconfig/rhn/RHN-ORG-TRUSTED-SSL-CERT https://sputnik-stage.brq.redhat.com/pub/RHN-ORG-TRUSTED-SSL-CERT --no-check-certificate
[...]
05:37:32 (22.9 MB/s) - `/etc/sysconfig/rhn/RHN-ORG-TRUSTED-SSL-CERT' saved [5269/5269]

# grep sslCACert= /etc/sysconfig/rhn/up2date
sslCACert=/etc/sysconfig/rhn/RHN-ORG-TRUSTED-SSL-CERT
# grep serverURL= /etc/sysconfig/rhn/up2date
serverURL=https://sputnik-stage.brq.redhat.com/XMLRPC
Comment 12 errata-xmlrpc 2009-09-02 07:21:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1354.html

Note You need to log in before you can comment on or make changes to this bug.